Package com.ocient.rest.resources

# Class InfoResource

java.lang.Object
com.ocient.rest.resources.InfoResource

public class InfoResource extends Object

## Constructor Summary

Constructors
Constructor
Description
`InfoResource(com.fasterxml.jackson.databind.ObjectMapper objectMapper)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`handleCommitRequest(io.netty.channel.ChannelHandlerContext ctx)`
`protected void`
`handleInfoRequest(io.netty.channel.ChannelHandlerContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InfoResource

public InfoResource(com.fasterxml.jackson.databind.ObjectMapper objectMapper)

## Method Details

### handleInfoRequest

protected void handleInfoRequest(io.netty.channel.ChannelHandlerContext ctx) throws Exception

Throws:
  `Exception`

### handleCommitRequest

protected void handleCommitRequest(io.netty.channel.ChannelHandlerContext ctx) throws Exception

Throws:
  `Exception`